org.apache.myfaces.trinidad.component.core.data

## Class CoreTreeTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXCollection
        - - org.apache.myfaces.trinidad.component.UIXHierarchy
          - - org.apache.myfaces.trinidad.component.UIXTree
            - - org.apache.myfaces.trinidad.component.UIXTreeTable
              - - org.apache.myfaces.trinidad.component.core.data.CoreTreeTable

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, CollectionComponent, LocalRowKeyIndex, RowKeyIndex, TreeLocalRowKeyIndex

      public class CoreTreeTable
      extends UIXTreeTable
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The Trinidad TreeTable is used to display data that is structured in a hierarchical format. This component displays a hierarchy in a UI similar to an Trinidad Table, and is more elaborate than the Tree component. TreeTable supports displaying columns of data per element in the hierarchy. Unlike the Tree component, TreeTable only supports single rooted hierarchies. The features of the TreeTable component include mechanisms for focusing in on subtrees (within the main tree), as well as expanding and collapsing elements in the hierarchy. Like the Table, the TreeTable's children must be Trinidad Column components. Like the Tree, the TreeTable has a "nodeStamp" facet which renders the "Object Name" Column. The "Object Name" Column contains the primary identifier of an element in the hierarchy. For example, in an organization chart of employees, the "Object Name" Column might be the employee name.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.RowDisclosureEvent` | Apply Request Values Invoke Application | The expansion event is generated for a table when the detail facet of a row is expanded or collapsed. For tree or a treeTable, the expansion event is generated when tree nodes are expanded or collapsed.
  `org.apache.myfaces.trinidad.event.SelectionEvent` | Apply Request Values Invoke Application | The selection event is delivered when the table selection changes.
  `org.apache.myfaces.trinidad.event.FocusEvent` | Apply Request Values Invoke Application | Event delivered when user clicks to focus on (or zoom into) a particular element's subtree of children. The TreeTable responds to this event by modifying the "focusPath" property appropriately. Subsequently, any registered FocusListener instances are called.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `UIXCollection.NoColumnFacetsVisitContext`

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

    - ### Nested classes/interfaces inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `LocalRowKeyIndex.Confidence, LocalRowKeyIndex.LocalCachingStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTIONS_FACET`
    `static PropertyKey` | `AUTO_SUBMIT_KEY`
    `static PropertyKey` | `COLUMN_BANDING_INTERVAL_KEY`
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `EMPTY_TEXT_KEY`
    `static PropertyKey` | `EXPAND_ALL_ENABLED_KEY`
    `static String` | `FOOTER_FACET`
    `static String` | `HEADER_FACET`
    `static PropertyKey` | `HORIZONTAL_GRID_VISIBLE_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static String` | `PATH_STAMP_FACET`
    `static PropertyKey` | `ROW_BANDING_INTERVAL_KEY`
    `static PropertyKey` | `ROW_SELECTION_KEY`
    `static String` | `ROW_SELECTION_MULTIPLE`
    `static String` | `ROW_SELECTION_NONE`
    `static String` | `ROW_SELECTION_SINGLE`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static PropertyKey` | `SUMMARY_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `VERTICAL_GRID_VISIBLE_KEY`
    `static PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXTreeTable

      `HEIGHT_KEY, RANGE_CHANGE_LISTENER_KEY, ROOT_NODE_RENDERED_KEY, ROWS_BY_DEPTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXTree

      `DISCLOSED_ROW_KEYS_KEY, FOCUS_LISTENER_KEY, FOCUS_ROW_KEY_KEY, IMMEDIATE_KEY, INITIALLY_EXPANDED_KEY, NODE_STAMP_FACET, ROW_DISCLOSURE_LISTENER_KEY, SELECTED_ROW_KEYS_KEY, SELECTION_LISTENER_KEY, VALUE_KEY, VAR_STATUS_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `VAR_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreTreeTable()` Construct an instance of the CoreTreeTable.
    `protected` | `CoreTreeTable(String rendererType)` Construct an instance of the CoreTreeTable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `javax.faces.component.UIComponent` | `getActions()` content to be rendered inline with the navigation bar.
    `protected FacesBean.Type` | `getBeanType()`
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `int` | `getColumnBandingInterval()` Gets the interval between which the column banding alternates.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getEmptyText()` Gets text displayed when a table is empty.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getFooter()` the component used to render the table footer.
    `javax.faces.component.UIComponent` | `getHeader()` the component used to render the table header.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `javax.faces.component.UIComponent` | `getPathStamp()` the component used to stamp each step of the focus path of this treeTable.
    `int` | `getRowBandingInterval()` Gets the interval between which the row banding alternates.
    `String` | `getRowSelection()` Gets whether rows in this table selectable.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `String` | `getSummary()` Gets the summary of this table's purpose and structure for user agents rendering to non-visual media.
    `String` | `getWidth()` Gets the width of the table.
    `boolean` | `isAutoSubmit()` Gets If set to TRUE on a form element, the component will automatically submit the enclosing form when an appropriate action takes place (a click, text change, etc.).
    `boolean` | `isExpandAllEnabled()` Gets Whether the Expand All, Collapse All links should be rendered.
    `boolean` | `isHorizontalGridVisible()` Gets if the horizontal grid lines will be drawn.
    `boolean` | `isVerticalGridVisible()` Gets if the vertical grid lines will be drawn.
    `void` | `setActions(javax.faces.component.UIComponent actionsFacet)` content to be rendered inline with the navigation bar.
    `void` | `setAutoSubmit(boolean autoSubmit)` Sets If set to TRUE on a form element, the component will automatically submit the enclosing form when an appropriate action takes place (a click, text change, etc.).
    `void` | `setColumnBandingInterval(int columnBandingInterval)` Sets the interval between which the column banding alternates.
    `void` | `setEmptyText(String emptyText)` Sets text displayed when a table is empty.
    `void` | `setExpandAllEnabled(boolean expandAllEnabled)` Sets Whether the Expand All, Collapse All links should be rendered.
    `void` | `setFooter(javax.faces.component.UIComponent footerFacet)` the component used to render the table footer.
    `void` | `setHeader(javax.faces.component.UIComponent headerFacet)` the component used to render the table header.
    `void` | `setHorizontalGridVisible(boolean horizontalGridVisible)` Sets if the horizontal grid lines will be drawn.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setPathStamp(javax.faces.component.UIComponent pathStampFacet)` the component used to stamp each step of the focus path of this treeTable.
    `void` | `setRowBandingInterval(int rowBandingInterval)` Sets the interval between which the row banding alternates.
    `void` | `setRowSelection(String rowSelection)` Sets whether rows in this table selectable.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setSummary(String summary)` Sets the summary of this table's purpose and structure for user agents rendering to non-visual media.
    `void` | `setVerticalGridVisible(boolean verticalGridVisible)` Sets if the vertical grid lines will be drawn.
    `void` | `setWidth(String width)` Sets the width of the table.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXTreeTable

      `__encodeBegin, addRangeChangeListener, broadcast, decode, getContainerClientId, getFirst, getHeight, getRangeChangeListener, getRangeChangeListeners, getRows, getRowsByDepth, getStamps, isRootNodeRendered, processFacetsAndChildren, processUpdates, processValidators, removeRangeChangeListener, restoreStampState, restoreState, saveStampState, saveState, setFirst, setHeight, setRangeChangeListener, setRangeChangeListener, setRootNodeRendered, setRowsByDepth, visitChildren, visitData, visitUnstampedFacets`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXTree

      `addFocusListener, addRowDisclosureListener, addSelectionListener, createCollectionModel, createFacesBean, getDisclosedRowKeys, getFocusListener, getFocusListeners, getFocusRowKey, getNodeStamp, getRowDisclosureListener, getRowDisclosureListeners, getSelectedRowKeys, getSelectionListener, getSelectionListeners, getValue, getVarStatus, isImmediate, isInitiallyExpanded, postCreateCollectionModel, queueEvent, removeFocusListener, removeRowDisclosureListener, removeSelectionListener, setDisclosedRowKeys, setFocusListener, setFocusRowKey, setImmediate, setInitiallyExpanded, setNodeStamp, setRowDisclosureListener, setRowDisclosureListener, setSelectedRowKeys, setSelectionListener, setSelectionListener, setValue, setVarStatus`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXHierarchy

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, createVarStatusMap, enterContainer, exitContainer, getAllAncestorContainerRowKeys, getContainerRowKey, getContainerRowKey, getDepth, getDepth, getTreeModel, isChildCollectionLocallyAvailable, isChildCollectionLocallyAvailable, isChildCollectionLocallyAvailable, isContainer, isContainerEmpty, visitHierarchy, visitLevel`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearCurrencyStringCache, clearLocalCache, decodeChildrenImpl, defaultVisitChildren, encodeBegin, encodeEnd, ensureRowsAvailable, getCachingStrategy, getClientRowKey, getClientRowKeyManager, getCollectionModel, getCollectionModel, getContainerClientId, getCurrencyString, getEstimatedRowCount, getEstimatedRowCountConfidence, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, getSortCriteria, getVar, invokeOnComponent, isRowAvailable, isRowAvailable, isRowAvailable, isRowLocallyAvailable, isRowLocallyAvailable, isSortable, postRowDataChange, preRowDataChange, processComponent, processDecodes, processEvent, processFlattenedChildrenBegin, processRestoreState, processSaveState, resetStampState, setClientRowKey, setCurrencyString, setRowIndex, setRowKey, setSortCriteria, setupELVariable, setupVisitingContext, setVar, tearDownVisitingContext, updateChildrenImpl, validateChildrenImpl, visitChildrenWithoutIterating`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, decodeChildren, encodeChildren, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, satisfiesPartialTrigger, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, validateChildren`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, visitAllChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.component.CollectionComponent

      `getVar`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.RowKeyIndex

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, isRowAvailable, isRowAvailable, isRowAvailable, setRowIndex, setRowKey`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearLocalCache, getCachingStrategy, getEstimatedRowCount, getEstimatedRowCountConfidence, isRowLocallyAvailable, isRowLocallyAvailable`

- - ### Field Detail

    - #### ROW_SELECTION_NONE

          public static final String ROW_SELECTION_NONE

      See Also:
        Constant Field Values

    - #### ROW_SELECTION_SINGLE

          public static final String ROW_SELECTION_SINGLE

      See Also:
        Constant Field Values

    - #### ROW_SELECTION_MULTIPLE

          public static final String ROW_SELECTION_MULTIPLE

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### HORIZONTAL_GRID_VISIBLE_KEY

          public static final PropertyKey HORIZONTAL_GRID_VISIBLE_KEY

    - #### VERTICAL_GRID_VISIBLE_KEY

          public static final PropertyKey VERTICAL_GRID_VISIBLE_KEY

    - #### EMPTY_TEXT_KEY

          public static final PropertyKey EMPTY_TEXT_KEY

    - #### COLUMN_BANDING_INTERVAL_KEY

          public static final PropertyKey COLUMN_BANDING_INTERVAL_KEY

    - #### ROW_BANDING_INTERVAL_KEY

          public static final PropertyKey ROW_BANDING_INTERVAL_KEY

    - #### ROW_SELECTION_KEY

          public static final PropertyKey ROW_SELECTION_KEY

    - #### AUTO_SUBMIT_KEY

          public static final PropertyKey AUTO_SUBMIT_KEY

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### SUMMARY_KEY

          public static final PropertyKey SUMMARY_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### EXPAND_ALL_ENABLED_KEY

          public static final PropertyKey EXPAND_ALL_ENABLED_KEY

    - #### FOOTER_FACET

          public static final String FOOTER_FACET

      See Also:
        Constant Field Values

    - #### HEADER_FACET

          public static final String HEADER_FACET

      See Also:
        Constant Field Values

    - #### ACTIONS_FACET

          public static final String ACTIONS_FACET

      See Also:
        Constant Field Values

    - #### PATH_STAMP_FACET

          public static final String PATH_STAMP_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreTreeTable

          public CoreTreeTable()

      Construct an instance of the CoreTreeTable.

    - #### CoreTreeTable

          protected CoreTreeTable(String rendererType)

      Construct an instance of the CoreTreeTable.

  - ### Method Detail

    - #### getFooter

          public final javax.faces.component.UIComponent getFooter()

      the component used to render the table footer.

    - #### setFooter

          public final void setFooter(javax.faces.component.UIComponent footerFacet)

      the component used to render the table footer.

    - #### getHeader

          public final javax.faces.component.UIComponent getHeader()

      the component used to render the table header.

    - #### setHeader

          public final void setHeader(javax.faces.component.UIComponent headerFacet)

      the component used to render the table header.

    - #### getActions

          public final javax.faces.component.UIComponent getActions()

      content to be rendered inline with the navigation bar.

    - #### setActions

          public final void setActions(javax.faces.component.UIComponent actionsFacet)

      content to be rendered inline with the navigation bar.

    - #### getPathStamp

          public final javax.faces.component.UIComponent getPathStamp()

      the component used to stamp each step of the focus path of this treeTable.

    - #### setPathStamp

          public final void setPathStamp(javax.faces.component.UIComponent pathStampFacet)

      the component used to stamp each step of the focus path of this treeTable.

    - #### isHorizontalGridVisible

          public final boolean isHorizontalGridVisible()

      Gets if the horizontal grid lines will be drawn.
      Returns:
        the new horizontalGridVisible value

    - #### setHorizontalGridVisible

          public final void setHorizontalGridVisible(boolean horizontalGridVisible)

      Sets if the horizontal grid lines will be drawn.
      Parameters:
        `horizontalGridVisible` - the new horizontalGridVisible value

    - #### isVerticalGridVisible

          public final boolean isVerticalGridVisible()

      Gets if the vertical grid lines will be drawn.
      Returns:
        the new verticalGridVisible value

    - #### setVerticalGridVisible

          public final void setVerticalGridVisible(boolean verticalGridVisible)

      Sets if the vertical grid lines will be drawn.
      Parameters:
        `verticalGridVisible` - the new verticalGridVisible value

    - #### getEmptyText

          public final String getEmptyText()

      Gets text displayed when a table is empty.
      Returns:
        the new emptyText value

    - #### setEmptyText

          public final void setEmptyText(String emptyText)

      Sets text displayed when a table is empty.
      Parameters:
        `emptyText` - the new emptyText value

    - #### getColumnBandingInterval

          public final int getColumnBandingInterval()

      Gets the interval between which the column banding alternates. For example, a columnBandingInterval of 1 would display alternately banded columns.
      Returns:
        the new columnBandingInterval value

    - #### setColumnBandingInterval

          public final void setColumnBandingInterval(int columnBandingInterval)

      Sets the interval between which the column banding alternates. For example, a columnBandingInterval of 1 would display alternately banded columns.
      Parameters:
        `columnBandingInterval` - the new columnBandingInterval value

    - #### getRowBandingInterval

          public final int getRowBandingInterval()

      Gets the interval between which the row banding alternates. For example, rowBandingInterval=1 would displayalternately banded rows in the Grid.
      Returns:
        the new rowBandingInterval value

    - #### setRowBandingInterval

          public final void setRowBandingInterval(int rowBandingInterval)

      Sets the interval between which the row banding alternates. For example, rowBandingInterval=1 would displayalternately banded rows in the Grid.
      Parameters:
        `rowBandingInterval` - the new rowBandingInterval value

    - #### getRowSelection

          public final String getRowSelection()

      Gets whether rows in this table selectable. Valid values are "none", "single", "multiple"
      Returns:
        the new rowSelection value

    - #### setRowSelection

          public final void setRowSelection(String rowSelection)

      Sets whether rows in this table selectable. Valid values are "none", "single", "multiple"
      Parameters:
        `rowSelection` - the new rowSelection value

    - #### isAutoSubmit

          public final boolean isAutoSubmit()

      Gets If set to TRUE on a form element, the component will automatically submit the enclosing form when an appropriate action takes place (a click, text change, etc.). This only takes effect if rowSelection attribute enabled.
      Returns:
        the new autoSubmit value

    - #### setAutoSubmit

          public final void setAutoSubmit(boolean autoSubmit)

      Sets If set to TRUE on a form element, the component will automatically submit the enclosing form when an appropriate action takes place (a click, text change, etc.). This only takes effect if rowSelection attribute enabled.
      Parameters:
        `autoSubmit` - the new autoSubmit value

    - #### getWidth

          public final String getWidth()

      Gets the width of the table. The value must either be a number of pixels or a percentage - it is not a CSS width.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets the width of the table. The value must either be a number of pixels or a percentage - it is not a CSS width.
      Parameters:
        `width` - the new width value

    - #### getSummary

          public final String getSummary()

      Gets the summary of this table's purpose and structure for user agents rendering to non-visual media.
      Returns:
        the new summary value

    - #### setSummary

          public final void setSummary(String summary)

      Sets the summary of this table's purpose and structure for user agents rendering to non-visual media.
      Parameters:
        `summary` - the new summary value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### isExpandAllEnabled

          public final boolean isExpandAllEnabled()

      Gets Whether the Expand All, Collapse All links should be rendered.
      Returns:
        the new expandAllEnabled value

    - #### setExpandAllEnabled

          public final void setExpandAllEnabled(boolean expandAllEnabled)

      Sets Whether the Expand All, Collapse All links should be rendered.
      Parameters:
        `expandAllEnabled` - the new expandAllEnabled value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXTreeTable`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXTreeTable`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.